var Alexa = IR.GetDevice("Amazon Alexa Network");
var HDL = IR.GetDevice("HDL-BUS Pro Network (UDP)");
IR.AddListener(IR.EVENT_START,0,function() {
  Alexa.SetFeedback("Thermostat:TemperatureMode", IR.SUB_DEVICE_STATE_CLIMATE_TEMP_MODE_COOLING);
  Alexa.SetFeedback("Thermostat:HeatTargetTemperature", 30);
  Alexa.SetFeedback("Thermostat:CoolTargetTemperature", 28);
  Alexa.SetFeedback("Thermostat:SensorTemperature", 24);
  IR.AddListener(IR.EVENT_TAG_CHANGE, Alexa, function(name, value) {
    switch (name) {
      case "Office:Power":
        if (value == 1)
                {
                        value = 100;
                }
        HDL.Set("B50:Channel 5", value);
        HDL.Set("B50:Channel 3", value);
      case "Corridor:Power":
        if (value == 1)
                {
                        value = 100;
                }
        HDL.Set("B50:Channel 8", value);
      case "Conference room:Power":
        if (value == 1)
                {
                        value = 100;
                }
        HDL.Set("B61:Channel 09", value);
        HDL.Set("B61:Channel 10", value);
        HDL.Set("B61:Channel 11", value);
      case "Meeting Room:Power":
        if (value == 1)
                {
                        value = 100;
                }
        HDL.Set("B61:Channel 09", value);
        HDL.Set("B61:Channel 10", value);
        HDL.Set("B61:Channel 11", value);
        break;
      case "room ac:Level":
        HDL.Set("DLP Panel AC-198:DockStation", value);
        break;
      case "Dimmer:Power":
        HDL.Set("HDL-BUS Pro:Dimmer_ON", value);
        break;
      case "Dimmer:Level":
        HDL.Set("HDL-BUS Pro:Dimmer_Brightness", value);
        break;
    }
    IR.Log("ALEXA! Device tag: " + name + " , value: " + value);
  });
});